MODULE NFPHYS_CONST
!
!   NAME:       NFPHYS_CONST
!   STATUS:     Ver. 1.0                                          
!   PURPOSE:    Defines basic physical constants                  
!   LIBRARY:    MATH                                              
!   TYPE:       SINGLE PRECISION                                  
!   AUTHOR:     Shigeru Inagaki                                   
!               National Institute for Fusion Science             
!               +81-572-58-2143                                   
!               inagaki@LHD.nifs.ac.jp                            
!                                                                 
!   DESCRIPTION:                                                  
!     Define basic physical constants for scientific calculation. 
!                                                                 
!   SEE ALSO:                                                     
!   CALLED:                                                        
!   REVISION HISTORY:                                             
!     28-OCT-2003 (CREATION)                                      
!   COMMENTS:                                                     
!                                                                 
!                                                                      
    USE NFNUM_KINDS, ONLY : sp, dp
!
    REAL(sp), PARAMETER :: kilo_sp  = 1.E3_sp
    REAL(sp), PARAMETER :: mega_sp  = 1.E6_sp
    REAL(sp), PARAMETER :: giga_sp  = 1.E9_sp
    REAL(sp), PARAMETER :: mili_sp  = 1.E-3_sp
    REAL(sp), PARAMETER :: micr_sp  = 1.E-6_sp
! 
    REAL(sp), PARAMETER :: c_light_sp   = 2.99792458E8_sp     !Speed of light in vacuum [m/s]
    REAL(sp), PARAMETER :: e_charge_sp  = 1.602176462E-19_sp  !Elementary charge [C]   
    REAL(sp), PARAMETER :: mu0_sp       = 1.2566370614E-6_sp  !Magnetic constant [N/A^2]
    REAL(sp), PARAMETER :: eps0_sp      = 8.854187817E-12_sp  !Electric constant [F/m]
    REAL(sp), PARAMETER :: newtonian_sp = 6.673E-11_sp        !Newtonian constant [m^3/kg s^2]
    REAL(sp), PARAMETER :: plankvar_sp  = 6.58211889E-16_sp   !Plank constant [eV s]
    REAL(sp), PARAMETER :: e_mass_sp    = 9.10938188E-31_sp   !Electron mass [kg] 
    REAL(sp), PARAMETER :: p_mass_sp    = 1.67262158E-27_sp   !Proton mass [kg] 
    REAL(sp), PARAMETER :: eome_sp      = 1.758820174E11_sp   !Electron charge to mass quotient [C/kg]
    REAL(sp), PARAMETER :: eomp_sp      = 9.57883408E7_sp     !Proton charge to mass quotient [C/kg]
    REAL(sp), PARAMETER :: mec2_sp      = 5.10998902E5_sp     !Electron enegy equivalent [eV]
    REAL(sp), PARAMETER :: mpc2_sp      = 9.38271998E8_sp     !Proton enegy equivalent [eV]
    REAL(sp), PARAMETER :: mpome_sp     = 1836.1526675_sp     !Proton-Electron mass ratio 
    REAL(sp), PARAMETER :: meomp_sp     = 5.446170232E-4_sp   !Electron-Proton mass ratio 
    REAL(sp), PARAMETER :: kbolts_sp    = 8.617342E-5_sp      !Boltzmann constant [eV/k] 
!
!--------------------------------------------------------------------------------------------------------
!
    REAL(dp), PARAMETER :: kilo_dp  = 1.E3_dp
    REAL(dp), PARAMETER :: mega_dp  = 1.E6_dp
    REAL(dp), PARAMETER :: giga_dp  = 1.E9_dp
    REAL(dp), PARAMETER :: mili_dp  = 1.E-3_dp
    REAL(dp), PARAMETER :: micr_dp  = 1.E-6_dp
! 
    REAL(dp), PARAMETER :: c_light_dp   = 2.99792458E8_dp     !Speed of light in vacuum [m/s]
    REAL(dp), PARAMETER :: e_charge_dp  = 1.602176462E-19_dp  !Elementary charge [C]   
    REAL(dp), PARAMETER :: mu0_dp       = 1.2566370614E-6_dp  !Magnetic constant [N/A^2]
    REAL(dp), PARAMETER :: eps0_dp      = 8.854187817E-12_dp  !Electric constant [F/m]
    REAL(dp), PARAMETER :: newtonian_dp = 6.673E-11_dp        !Newtonian constant [m^3/kg s^2]
    REAL(dp), PARAMETER :: plankvar_dp  = 6.58211889E-16_dp   !Plank constant [eV s]
    REAL(dp), PARAMETER :: e_mass_dp    = 9.10938188E-31_dp   !Electron mass [kg] 
    REAL(dp), PARAMETER :: p_mass_dp    = 1.67262158E-27_dp   !Proton mass [kg] 
    REAL(dp), PARAMETER :: eome_dp      = 1.758820174E11_dp   !Electron charge to mass quotient [C/kg]
    REAL(dp), PARAMETER :: eomp_dp      = 9.57883408E7_dp     !Proton charge to mass quotient [C/kg]
    REAL(dp), PARAMETER :: mec2_dp      = 5.10998902E5_dp     !Electron enegy equivalent [eV]
    REAL(dp), PARAMETER :: mpc2_dp      = 9.38271998E8_dp     !Proton enegy equivalent [eV]
    REAL(dp), PARAMETER :: mpome_dp     = 1836.1526675_dp     !Proton-Electron mass ratio 
    REAL(dp), PARAMETER :: meomp_dp     = 5.446170232E-4_dp   !Electron-Proton mass ratio 
    REAL(dp), PARAMETER :: kbolts_dp    = 8.617342E-5_dp      !Boltzmann constant [eV/k] 
!
END MODULE NFPHYS_CONST
